ContainerDefinition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface ContainerDefinition

- All Superinterfaces:
    DefinitionObject, InterchangeObject, MediaEntity, MetadataObject, WeakReferenceTarget
  All Known Implementing Classes:
    ContainerDefinitionImpl

      public interface ContainerDefinition
      extends DefinitionObject

  Specifies a definition for the mechanism used to store essence data. A container can be either a kind of file, such as an AAF file, or it can be another mechanism for storing essence data.

  See Also:
    `ContainerConstant`, `Warehouse.lookup(Class, String)`, `Dictionary.getContainerDefinitions()`, `TypeDefinitions.ContainerDefinitionWeakReference`, `TypeDefinitions.ContainerDefinitionStrongReference`, `TypeDefinitions.ContainerDefinitionStrongReferenceSet`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerDefinition` | `clone()` Create a cloned copy of this container definition.
    `boolean` | `essenceIsIdentified()` Deprecated. Use `getEssenceIsIdentified()` instead.
    `boolean` | `getEssenceIsIdentified()` Returns whether the essence of the defined container is identified, which specifies when `true` that the container uses the package id to identify the essence data and that the container may contain multiple essence data objects, each identified by a package id.
    `void` | `setEssenceIsIdentified(Boolean essenceIsIdentified)` Sets whether the essence of the defined container is identified, which specifies when `true` that the container uses the package id to identify the essence data and that the container may contain multiple essence data objects, each identified by a package id.

    - ### Methods inherited from interface tv.amwa.maj.model.DefinitionObject

      `getAUID, getDescription, getName, setDescription, setName`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getWeakTargetReference`

- - ### Method Detail

    - #### essenceIsIdentified

          @Deprecated
           @Bool
          boolean essenceIsIdentified()
                                                  throws PropertyNotPresentException

      Deprecated. Use `getEssenceIsIdentified()` instead.

      Returns whether the essence of the defined container is identified, which specifies when `true` that the container uses the package id to identify the essence data and that the container may contain multiple essence data objects, each identified by a package id. This is an optional property.

      Returns:
        Is the essence identified?
      Throws:
        `PropertyNotPresentException` - The optional essence is identified property is not present in the container definition.

    - #### getEssenceIsIdentified

          @Bool
          boolean getEssenceIsIdentified()
                                        throws PropertyNotPresentException

      Returns whether the essence of the defined container is identified, which specifies when `true` that the container uses the package id to identify the essence data and that the container may contain multiple essence data objects, each identified by a package id. This is an optional property.

      Returns:
        Is the essence identified?
      Throws:
        `PropertyNotPresentException` - The optional essence is identified property is not present in the container definition.

    - #### setEssenceIsIdentified

          void setEssenceIsIdentified(@Bool
                                      Boolean essenceIsIdentified)

      Sets whether the essence of the defined container is identified, which specifies when `true` that the container uses the package id to identify the essence data and that the container may contain multiple essence data objects, each identified by a package id. To omit this optional property, set its value to `null`.

      Parameters:
        `essenceIsIdentified` - Is the essence identified?

    - #### clone

          ContainerDefinition clone()

      Create a cloned copy of this container definition.

      Specified by:
        `clone` in interface `DefinitionObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this container definition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.